Subject: Re: 82xx performance

From: Arnd Bergmann <[email-masked]>
Date: Thu, 17 Jul 2008 00:32:36 +0200

On Wednesday 16 July 2008, Rune Torgersen wrote:
> I did run oprofile, but I could not figure out how to get it to show me
> where in the kernel it was spending time. It showed that a lot of time
> was spent in vmlinux, but not anything specific. I probably just don't
> know how to set up or run oprofile correctly.

Maybe you passed no vmlinux, or only a stripped one?
Oprofile needs to have a vmlinux file to extract the symbol
information from.

If you can't get it to work, readprofile(1) is a much simpler
tool, both in what it can do and what it requires you to do.

	Arnd <><